%global commit ed2bd38d955a856149048d0a478f93e0b4fa8076
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global _hardened_build 1
Name:           dnstop
Version:        20140915
Release:    1%{?dist}
Summary:        Displays information about DNS traffic on your network
License:        BSD
URL:            http://dns.measurement-factory.com/tools/dnstop/
Source0:        https://github.com/measurement-factory/dnstop/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  gcc
BuildRequires:  libpcap-devel
BuildRequires:  ncurses-devel
BuildRequires: make


%description
dnstop is a libpcap application (ala tcpdump) that displays various
tables of DNS traffic on your network.

dnstop supports both IPv4 and IPv6 addresses.

To help find especially undesirable DNS queries, dnstop provides a
number of filters.

dnstop can either read packets from the live capture device, or from a
tcpdump savefile.


%prep
%autosetup -n %{name}-%{commit}

%build
%configure
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man8
%{make_install}

%files
%{_bindir}/dnstop
%{_mandir}/man8/dnstop.8*

%doc CHANGES
%license LICENSE


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20140915-1
- initial build
